View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001317aMuleExternal Connpublic2008-05-06 02:102009-09-07 23:15
Reporterskolnick 
Assigned ToWuischke 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSDebian LinuxOS VersionDebian sid
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0001317: amuleweb has displaying issues with files bigger than 4GB
Descriptionin amuleweb, if you have a file bigger than 4GB, you will see the last 4GB of the file as completely transferred (black colored) even when that is not true. The issue is only with the progressbar drawing, the complete column and other values seem OK. Just take a look at the attached screenshot :)
Steps To ReproduceJust start downloading some file bigger than 4GB, and then login to amule using amuleweb.
Additional InformationI guess the issue is related to the usage of 32-bit variables somewhere in amuleweb, but I have no idea for sure.
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Filespng file icon untitled.PNG [^] (57,306 bytes) 2008-05-06 02:10

- Relationships

-  Notes
(0002957)
Wuischke (manager)
2008-09-21 15:33

This issue has been fixed now, thank you for the report.
(0003284)
skolnick (reporter)
2009-08-29 21:27

Sorry to reopen this, but I just reproduced this bug using aMule 2.2.5 under CentOS 5.3 32 bits.

Thanks!
(0003287)
sturedman (developer)
2009-09-07 23:15

Good time to bring that up. It was never backported to 2.2.X...
Please try again with 2.2.6 RC 9789.

- Issue History
Date Modified Username Field Change
2008-05-06 02:10 skolnick New Issue
2008-05-06 02:10 skolnick File Added: untitled.PNG
2008-05-06 02:10 skolnick Operating System => Any
2008-07-10 11:56 Wuischke Status new => acknowledged
2008-08-30 12:13 Wuischke Status acknowledged => assigned
2008-08-30 12:13 Wuischke Assigned To => lfroen
2008-09-21 15:33 Wuischke Status assigned => resolved
2008-09-21 15:33 Wuischke Fixed in Version => SVN
2008-09-21 15:33 Wuischke Resolution open => fixed
2008-09-21 15:33 Wuischke Note Added: 0002957
2008-09-21 15:49 Wuischke Note Added: 0002959
2008-09-21 15:49 Wuischke Assigned To lfroen => Wuischke
2008-09-21 15:49 Wuischke Status resolved => assigned
2008-09-21 15:56 Wuischke Note Deleted: 0002959
2008-09-21 15:56 Wuischke Status assigned => resolved
2009-08-29 21:27 skolnick Note Added: 0003284
2009-08-29 21:27 skolnick Status resolved => feedback
2009-08-29 21:27 skolnick Resolution fixed => reopened
2009-09-07 23:15 sturedman Note Added: 0003287
2009-09-07 23:15 sturedman Status feedback => resolved
2009-09-07 23:15 sturedman Resolution reopened => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker